Bug 433132 - g-p-m still lists removed battery
g-p-m still lists removed battery
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 12:18 EST by Espen Stefansen
Modified: 2013-03-05 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 05:16:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Espen Stefansen 2008-02-16 12:18:04 EST
Description of problem:
I have a laptop where i can use two batteries or one battery and one dvd-rom. If
i boot up with just one battery, g-p-m still lists both batteries. The missing
battery is at 0% and status is missing. Shouldn't g-p-m remove this battery?

Version-Release number of selected component (if applicable):
gnome-power-manager-2.20.0-6.fc8
hal-0.5.10-1.fc8
hal-info-20071030-1.fc8

How reproducible:
Every time i boot up with one battery

Actual results:
Show the missing battery

Expected results:
Should remove the missing battery

Additional info:
output from lshal:
udi = '/org/freedesktop/Hal/devices/acpi_BAT0'
  battery.charge_level.capacity_state = 'ok'  (string)
  battery.charge_level.current = 51137  (0xc7c1)  (int)
  battery.charge_level.design = 57720  (0xe178)  (int)
  battery.charge_level.granularity_1 = 577  (0x241)  (int)
  battery.charge_level.granularity_2 = 577  (0x241)  (int)
  battery.charge_level.last_full = 51137  (0xc7c1)  (int)
  battery.charge_level.low = 1742  (0x6ce)  (int)
  battery.charge_level.percentage = 100  (0x64)  (int)
  battery.charge_level.rate = 0  (0x0)  (int)
  battery.charge_level.unit = 'mWh'  (string)
  battery.charge_level.warning = 5772  (0x168c)  (int)
  battery.is_rechargeable = true  (bool)
  battery.model = 'DELL KP4337'  (string)
  battery.present = true  (bool)
  battery.rechargeable.is_charging = false  (bool)
  battery.rechargeable.is_discharging = false  (bool)
  battery.reporting.current = 5200  (0x1450)  (int)
  battery.reporting.design = 5200  (0x1450)  (int)
  battery.reporting.granularity_1 = 52  (0x34)  (int)
  battery.reporting.granularity_2 = 52  (0x34)  (int)
  battery.reporting.last_full = 4607  (0x11ff)  (int)
  battery.reporting.low = 157  (0x9d)  (int)
  battery.reporting.rate = 1  (0x1)  (int)
  battery.reporting.technology = 'LION'  (string)
  battery.reporting.unit = 'mAh'  (string)
  battery.reporting.warning = 520  (0x208)  (int)
  battery.serial = '2134'  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.type = 'primary'  (string)
  battery.vendor = 'SMP'  (string)
  battery.voltage.current = 12781  (0x31ed)  (int)
  battery.voltage.design = 11100  (0x2b5c)  (int)
  battery.voltage.unit = 'mV'  (string)
  info.capabilities = {'battery'} (string list)
  info.category = 'battery'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Battery Bay'  (string)
  info.udi = '/org/freedesktop/Hal/devices/acpi_BAT0'  (string)
  linux.acpi_path = '/proc/acpi/battery/BAT0'  (string)
  linux.acpi_type = 0  (0x0)  (int)
  linux.hotplug_type = 4  (0x4)  (int)

udi = '/org/freedesktop/Hal/devices/acpi_BAT1'
  battery.present = false  (bool)
  battery.type = 'primary'  (string)
  info.capabilities = {'battery'} (string list)
  info.category = 'battery'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Battery Bay'  (string)
  info.udi = '/org/freedesktop/Hal/devices/acpi_BAT1'  (string)
  linux.acpi_path = '/proc/acpi/battery/BAT1'  (string)
  linux.acpi_type = 0  (0x0)  (int)
  linux.hotplug_type = 4  (0x4)  (int)
Comment 1 Richard Hughes 2008-04-30 05:16:16 EDT
Nope, I think it should still stay there as a hot-pluggable battery. If you want
to change this, please email the gnome-power-manager mailing list and we can
discuss with the GNOME HIG guys there.

Note You need to log in before you can comment on or make changes to this bug.